package com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.compensation.startingsalary.backgroundtransaction.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class SalaryUtilsFacade extends AbstractBizCtrl implements ISalaryUtilsFacade
{
    public SalaryUtilsFacade()
    {
        super();
        registerInterface(ISalaryUtilsFacade.class, this);
    }
    public SalaryUtilsFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISalaryUtilsFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0D24901B");
    }
    private SalaryUtilsFacadeController getController() throws BOSException
    {
        return (SalaryUtilsFacadeController)getBizController();
    }
    /**
     *发起电子签-User defined method
     *@param otherContractId 员工其他合同ID
     */
    public void sendBatchEmployeeOtherSign(String otherContractId) throws BOSException
    {
        try {
            getController().sendBatchEmployeeOtherSign(getContext(), otherContractId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *提交薪资调整单-User defined method
     *@param batchAdjustId 薪资调整单Id
     */
    public void submitEffectBatchAdjustBill(String batchAdjustId) throws BOSException
    {
        try {
            getController().submitEffectBatchAdjustBill(getContext(), batchAdjustId);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}